mscorlib 2.0.0.0 4.0.0.0 System.Object System.Runtime.InteropServices.ComVisible(true)

When you create a new , the common language runtime queries the for the presence of a , which participates in making security decisions for the . Host providers should implement a host security manager that inherits from the class.

Allows the control and customization of security behavior for application domains.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.ApplicationTrust `` `` ``

  This method can be overridden by a derived class. The base implementation calls the application security manager to determine if the application should be executed.

  The base implementation does not use the activator evidence. However, an overridden implementation could use the activator evidence to determine the security evidence for the application domain attempting to activate the application.

  Determines whether an application should be executed.

  An object that contains trust information about the application.

  The evidence for the application to be activated. Optionally, the evidence for the activating application domain. The trust context.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Policy.PolicyLevel To be added.

  This property can be overridden in a derived class. The base implementation always returns null.

  This property is called at creation time. It allows a host to supply a policy for the current . A policy level consists of the following:

  A set of code groups organized into a single rooted tree.

  A set of named permission sets that are referenced by the code groups to specify permissions to be granted to code belonging to the code group.

  A list of fully trusted assemblies.

  See the Notes to Inheritors for the class for critical implementation information.

  When overridden in a derived class, gets the security policy for the current application domain.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.HostSecurityManagerOptions To be added.

  This property can be overridden in a derived class. The base implementation always returns .

  The derived host can change the value of this property when only a subset of the is of interest. The possible subsets include none, the refused set, the policy level, and assembly evidence.

  Gets the flag representing the security policy components of concern to the host.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.Evidence ``

  This method can be overridden in a derived class.

  This method is called whenever an object is created. The parameter is the computed evidence from the common language runtime. The host implementation can choose to extend or reduce the evidence. The return value is the evidence to be used for the application domain. The base implementation always returns the evidence object passed in as the parameter.

  See the Notes to Inheritors for the class for critical implementation information.

  Provides the application domain evidence for an assembly being loaded.

  The evidence to be used for the .

  Additional evidence to add to the evidence.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.Policy.Evidence `` ``

  This method can be overridden in a derived class.

  This method is called whenever an assembly is loaded, either implicitly or explicitly. The passed in parameters are the assembly being loaded, and the computed evidence from the common language runtime. The host implementation can choose to extend or reduce the evidence. The return value is the evidence to be used for the assembly. The base implementation always returns the evidence object passed in as the parameter.

  See the Notes to Inheritors for the class for critical implementation information.

  Provides the assembly evidence for an assembly being loaded.

  The evidence to be used for the assembly.

  The loaded assembly. Additional evidence to add to the assembly evidence.
- Method
  2.0.0.0
  4.0.0.0
  System.Security.PermissionSet ``

  This method invokes the security policy engine, providing it with the specified evidence. The result is determined by the security policy.

  Determines what permissions to grant to code based on the specified evidence.

  The permission set that can be granted by the security system.

  The evidence set used to evaluate policy.